// Code generated by goa v3.12.1, DO NOT EDIT.
//
// infohub HTTP client CLI support package
//
// Command:
// $ goa gen gitlab.eclipse.org/eclipse/xfsc/tsa/infohub/design

package client

import (
	infohub "gitlab.eclipse.org/eclipse/xfsc/tsa/infohub/gen/infohub"
)

// BuildExportPayload builds the payload for the infohub Export endpoint from
// CLI flags.
func BuildExportPayload(infohubExportExportName string) (*infohub.ExportRequest, error) {
	var exportName string
	{
		exportName = infohubExportExportName
	}
	v := &infohub.ExportRequest{}
	v.ExportName = exportName

	return v, nil
}

// BuildImportPayload builds the payload for the infohub Import endpoint from
// CLI flags.
func BuildImportPayload(infohubImportBody string) (*infohub.ImportRequest, error) {
	var body []byte
	{
		body = []byte(infohubImportBody)
	}
	v := body
	res := &infohub.ImportRequest{
		Data: v,
	}

	return res, nil
}
